# Created by pyp2rpm-3.3.7
%global pypi_name yajl-py
%global pypi_version 2.1.2

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Pure Python Yajl Wrapper

License:        PSF
URL:            http://pykler.github.com/yajl-py/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-six
BuildRequires:  yajl-devel
BuildRequires:  python3dist(setuptools)

%description
Pure Python wrapper to the excellent Yajl (Yet Another Json Library) C library

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(six)
%description -n python3-%{pypi_name}
Pure Python wrapper to the excellent Yajl (Yet Another Json Library) C library


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
#export PYTHONPATH=${PYTHONPATH+$PYTHONPATH:}`pwd`/%{pypi_name}-%{pypi_version}/yajl
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/yajl
%{python3_sitelib}/yajl_py-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Fri Oct 15 2021 praiskup - 2.1.2-1
- Initial package.
